import request from '@/utils/request'

// 查询反馈的源数据列表
export function listFeedbackRawData(query) {
  return request({
    url: '/manage/feedbackRawData/list',
    method: 'get',
    params: query
  })
}

// 查询反馈的源数据详细
export function getFeedbackRawData(id) {
  return request({
    url: '/manage/feedbackRawData/' + id,
    method: 'get'
  })
}

// 新增反馈的源数据
export function addFeedbackRawData(data) {
  return request({
    url: '/manage/feedbackRawData',
    method: 'post',
    data: data
  })
}

// 修改反馈的源数据
export function updateFeedbackRawData(data) {
  return request({
    url: '/manage/feedbackRawData',
    method: 'put',
    data: data
  })
}

// 删除反馈的源数据
export function delFeedbackRawData(id) {
  return request({
    url: '/manage/feedbackRawData/' + id,
    method: 'delete'
  })
}
